## gdkpixbufsink

gdkpixbufsink — Output images as GdkPixbuf objects in bus messages

## Properties

GdkPixbuf * | last-pixbuf | Read
gboolean | send-messages | Read / Write
gboolean | post-messages | Read / Write

## Types and Values

struct | GstGdkPixbufSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstVideoSink
                            ╰── GstGdkPixbufSink

## Description

## Synopsis

### Element Information

plugin | gdkpixbuf
author | Tim-Philipp Müller <tim centricular net>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstGdkPixbufSink

    struct GstGdkPixbufSink;

## Property Details

### The `“last-pixbuf”` property

      “last-pixbuf”              GdkPixbuf *

Last GdkPixbuf object rendered.

Flags: Read

### The `“send-messages”` property

      “send-messages”            gboolean

Whether to post messages containing pixbufs on the bus (deprecated, use post-messages).

Flags: Read / Write

Default value: TRUE

### The `“post-messages”` property

      “post-messages”            gboolean

Whether to post messages containing pixbufs on the bus.

Flags: Read / Write

Default value: TRUE